Bug 91057 - samba sigaction bug
Summary: samba sigaction bug
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba   
(Show other bugs)
Version: 9
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-16 21:35 UTC by Steve Grubb
Modified: 2014-08-31 23:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 14:02:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sigaction bug patch (1.07 KB, patch)
2003-05-16 21:36 UTC, Steve Grubb
no flags Details | Diff

Description Steve Grubb 2003-05-16 21:35:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The samba daemon code does not setup its signal mask correctly causing random
signals to be blocked. A patch is attached that corrects this. The bug could
cause intermittent problems with the daemon.

Version-Release number of selected component (if applicable):
samba-2.2.7a

How reproducible:
Always

Steps to Reproduce:
/etc/rc.d/init.d/smb stop
valgrind --leak-check=yes --leak-resolution=high --num-callers=8 -v
--logfile-fd=19 /usr/sbin/smbd 19>out
/usr/sbin/nmbd

browse around the shares
/etc/rc.d/init.d/smd stop
vi out


Actual Results:  Error message stating uninitialized parameters being sent to
sigaction.

Additional info:

Comment 1 Steve Grubb 2003-05-16 21:36:35 UTC
Created attachment 91749 [details]
Sigaction bug patch

This patch fixes the listed bug.


Note You need to log in before you can comment on or make changes to this bug.